org.apache.maven.artifact.metadata

## Class AbstractArtifactMetadata

- java.lang.Object
- - org.apache.maven.artifact.metadata.AbstractArtifactMetadata

All Implemented Interfaces:
  ArtifactMetadata

Direct Known Subclasses:
  ProjectArtifactMetadata

    public abstract class AbstractArtifactMetadata
    extends java.lang.Object
    implements ArtifactMetadata

Common elements of artifact metadata.

Version:
  $Id: AbstractArtifactMetadata.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter

### Field Summary

Fields
`protected Artifact` `artifact`

### Constructor Summary

Constructors
`protected` `AbstractArtifactMetadata(Artifact artifact)`

### Method Summary

Methods
`java.lang.String` `extendedToString()`
`java.lang.String` `getArtifactId()`
`java.lang.String` `getGroupId()`
`boolean` `storedInGroupDirectory()` Whether this metadata should be stored alongside the group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.artifact.metadata.ArtifactMetadata

`getBaseVersion, getKey, getLocalFilename, getRemoteFilename, merge, storedInArtifactVersionDirectory, storeInLocalRepository`

### Field Detail

#### artifact

    protected Artifact artifact

### Constructor Detail

#### AbstractArtifactMetadata

    protected AbstractArtifactMetadata(Artifact artifact)

### Method Detail

#### storedInGroupDirectory

    public boolean storedInGroupDirectory()

Description copied from interface: `ArtifactMetadata`
Whether this metadata should be stored alongside the group.

Specified by:
  `storedInGroupDirectory` in interface `ArtifactMetadata`

#### getGroupId

    public java.lang.String getGroupId()

Specified by:
  `getGroupId` in interface `ArtifactMetadata`

#### getArtifactId

    public java.lang.String getArtifactId()

Specified by:
  `getArtifactId` in interface `ArtifactMetadata`

#### extendedToString

    public java.lang.String extendedToString()

Specified by:
  `extendedToString` in interface `ArtifactMetadata`